Create an fulfillment for the fulfillment order ( single or batch )
Requires write_assigned_fulfillment_orders access scope.
For more info, refer to:
POST https://{handle}.myshopline.com/admin/openapi/v20260901/fulfillments/fulfillments.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .Create an fulfillment for the fulfillment order ( single or batch )
Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiJ9.eyJhcHBLZXkiOiJmMjM3OWQyMTYyOGMzM2QxMWRiMWZkYjY5N2EzZjdjMjZlNGMwYTA5Iiwic2VsbGVySWQiOiIyMDAwMjM0ODgwIiwic3RvcmVJZCI6IjE2NzIzNjk3Mjk2MDYiLCJ2ZXJzaW9uIjoiVjIiLCJkb21haW4iOiJodHRwczovL3NsLW9wZW4tc2cubXlzaG9wbGluZS5jb20iLCJ0aW1lc3RhbXAiOjE2NzUzMTk0OTI0MzksImlzcyI6Inlzb3VsIiwiZXhwIjoxNzY5OTI3NDkyfQ.UwQzomM2veGCUaOZ0paUxq5dpc7DXuhHYFvsQ_uIAKduzWcb_j2E4q_36El83sp145D4cKbpcE5KCeeIz-JNQw
Request Body
fulfillmentobject required
Parcel single logistics informationline_items_by_fulfillment_orderobject[] required
List of order numberfulfillment_order_id string requiredOrder numberExample:"1046000807"fulfillment_order_line_itemsobject[]
Performance order Product lineid string requiredOrder for sale Product line idExample:6076quantity integer requiredShipping quantityExample:2message stringNotification informationExample:"he package was shipped this morning."notify_customer booleanNotify consumers or notExample:truetracking_infoobject
Logistics information.DEPRECATED: This parameter is deprecated from API version v20250601. Refer totracking_info_list.company stringLogistics companyExample:"my-company"number stringLogistics single numberExample:"UG15439033"url stringTrack linksExample:http://www.my-url.comtracking_info_listobject[]
If this parameter is specified, the individual parameterstracking_url,tracking_number, andtracking_companywill be ignored.Maximum of 10 tracking infos allowed.tracking_url stringLogistics tracking URL.Example:http://www.my-url.comtracking_company stringLogistics company name.Example:"my-company"tracking_number stringTracking number.Example:"UG15439033"- order_id string requiredOrder idExample:
"21057116277667827637773776"
Status Codes
- 200
- 401
- 429
For the complete list of codes and messages, see Http status code.
Response Headers
traceId
A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
fulfillmentobject
Package detailsid stringParcel single idExample:"4005740193290131085320"line_itemsobject[]
Package Productsku stringProduct barcodeExample:"183423409238904944"title stringProduct titleExample:"Draft"total_discount stringDiscountExample:"0.00"fulfillment_quantity integerShipping quantityExample:1requires_shipping booleanShipping or notExample:truetax_linesobject[]
Tax itemname stringTax nameExample:" item tax "price stringTaxExample:"10.00"price_setobject
Multi-currency information of taxpresentment_moneyobject
Priceamount stringTotalExample:"10.00"currency_code stringCurrencyExample:"USD"shop_moneyobject
Store priceamount stringTotalExample:"10.00"currency_code stringCurrencyExample:"USD"rate stringTax rateExample:"1.00"title stringTax titleExample:" Product tax "total_discount_setobject
Great price informationshop_moneyobject
Store priceamount stringTotalExample:"0.00"currency_code stringCurrencyExample:"USD"presentment_moneyobject
Priceamount stringTotalExample:"0.00"currency_code stringCurrencyExample:"USD"variant_id stringSku serial numberExample:"183423409238904944"variant_title stringProduct attribute valueExample:"Black / Bracelet / Bracelet""vendor stringSupplierfulfillment_status stringPackage trackingExample:"open"price stringItem priceExample:"100.00"price_setobject
Item price informationshop_moneyobject
Store pricecurrency_code stringCurrencyExample:"USD"amount stringTotalExample:"100.00"presentment_moneyobject
Priceamount stringTotalExample:"100.00"currency_code stringCurrencyExample:"USD"product_id stringProduct serial numberExample:"343342675"propertiesobject[]
Additional informationtype stringAttribute typeExample:"picture"urls arrayUrl listExample:["[\"https://www.myshopline.com\"]"]value stringCustom attribute valuesExample:"value"additional stringAdditional informationExample:" add-on information "name stringCustom attribute nameExample:" picture "taxable booleanTax or not?Example:trueversion stringProduct versionExample:"1"fulfillable_quantity integerRemaining quantity can be shippedExample:1grams doubleWeightExample:10.5id stringidExample:"466157049"name stringSku titleExample:Trade namequantity integerSku quantityExample:1location_id stringLocation idExample:"54039222210"order_id stringOrder idExample:"21057116277667827637773776"shipment_status stringLogistics statusExample:"success"tracking_company stringLogistics company name.DEPRECATED: This parameter is deprecated from API version v20250601. Refer totracking_info_listfor related information.Example:"Other"tracking_numbers arrayThird party logistics single number listExample:["[\"UG198768340YP\"]"]tracking_url stringLogistics tracking URL.DEPRECATED: This parameter is deprecated from API version v20250601. Refer totracking_info_listfor related information.Example:"https://tools.usps.com/go/TrackConfirmAction_input?qtc_tLabels1=1Z2345"tracking_info_listobject[]
If this parameter is specified, the individual parameters tracking_url, tracking_number, and tracking_company will be ignored.Maximum of 10 tracking infos allowed.tracking_url stringLogistics tracking URLtracking_company stringLogistics company nametracking_number stringThird party tracking numbertracking_urls arrayLogistics tracking url listExample:["[\"\"https://tools.usps.com/go/TrackConfirmAction_input?qtc_tLabels1=1Z2345\"\"]"]created_at stringCreation timeExample:2022-10-21T08:56:20-04:00name stringPackage nameExample:"#21057116277667827637773776.1"status stringParcel single statusExample:"success"tracking_number stringThird party tracking number.DEPRECATED: This parameter is deprecated from API version v20250601. Refer totracking_info_listfor related information.Example:"UG198768340YP"updated_at stringUpdate timeExample:2022-10-21T08:56:20-04:00
API Explorer
Debugger
Was this article helpful to you?